## geventhttpclient 1.4.5

=== requirements.txt ===
six
certifi
gevent

=== debian/changelog ===
geventhttpclient (1.4.5-1) unstable; urgency=low

  * Initial release; Closes: #982577

 -- Sandro Tosi <morph@debian.org>  Fri, 12 Feb 2021 20:12:41 -0500

=== debian/control ===
Source: geventhttpclient
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Team <team+python@tracker.debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all-dev,
               python3-certifi,
               python3-dpkt <!nocheck>,
               python3-gevent,
               python3-mock <!nocheck>,
               python3-pytest <!nocheck>,
               python3-setuptools,
               python3-six,
Standards-Version: 4.5.1
Homepage: http://github.com/gwik/geventhttpclient
Vcs-Git: https://salsa.debian.org/python-team/packages/geventhttpclient.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/geventhttpclient

Package: python3-geventhttpclient
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
Recommends: ${python3:Recommends},
Suggests: ${python3:Suggests},
Description: high performance, concurrent HTTP client library for Python using gevent
 geventhttpclient uses a fast http parser, written in C, originating from
 nginx, extracted and modified by Joyent.
 .
 geventhttpclient has been specifically designed for high concurrency,
 streaming and support HTTP 1.1 persistent connections. More generally it is
 designed for efficiently pulling from REST APIs and streaming APIs
 like Twitter's.
 .
 Safe SSL support is provided by default. geventhttpclient depends on
 the certifi CA Bundle. This is the same CA Bundle which ships with the
 Requests codebase, and is derived from Mozilla Firefox's canonical set.

## geventhttpclient 1.5.3

=== Makefile ===
build_ext:
	python setup.py build_ext --inplace

test:
	py.test src/geventhttpclient/tests	

_develop:
	python setup.py develop

develop: _develop build_ext

clean:
	rm -rf build
	find . -name '*.pyc' -delete

dist:
	python setup.py sdist upload

release:
	cat release.md

.PHONY: develop dist release test

=== requirements.txt ===
six
certifi
gevent
brotli

=== debian/changelog ===
geventhttpclient (1.5.3-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 21:41:09 +0000

geventhttpclient (1.5.3-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Thu, 14 Oct 2021 00:13:46 -0400

geventhttpclient (1.5.2-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - add brotli to b-d, needed by tests

 -- Sandro Tosi <morph@debian.org>  Wed, 06 Oct 2021 23:26:24 -0400

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all-dev,
+               python3-brotli <!nocheck>,
                python3-certifi,
                python3-dpkt <!nocheck>,
                python3-gevent,

## geventhttpclient 2.0.8

=== requirements.txt ===
six
certifi
gevent
brotli
urllib3

=== debian/changelog ===
geventhttpclient (2.0.8-1) unstable; urgency=medium

  * New upstream release; Closes: #1024066
  * debian/patches/PR168.patch
    - drop patches, merged upstream
  * debian/patches/add-llhttp-v6.0.10.patch
    - include llhttp as a patch, given upstream now uses it via submodule
  * debian/copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Sun, 11 Dec 2022 02:46:39 -0500

geventhttpclient (2.0.2-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - add urllib3 to b-d, needed by tests
  * debian/patches/PR168.patch
    - fix build with setuptools 65.3.0

 -- Sandro Tosi <morph@debian.org>  Fri, 30 Sep 2022 16:44:45 -0400

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,9 @@
                python3-pytest <!nocheck>,
                python3-setuptools,
                python3-six,
-Standards-Version: 4.5.1
-Homepage: http://github.com/gwik/geventhttpclient
+               python3-urllib3 <!nocheck>,
+Standards-Version: 4.6.1
+Homepage: https://github.com/gwik/geventhttpclient
 Vcs-Git: https://salsa.debian.org/python-team/packages/geventhttpclient.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/geventhttpclient

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=geventhttpclient
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installexamples:
	dh_installexamples examples/

override_dh_auto_test:
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="PYTHONPATH={build_dir} {interpreter} -m pytest -v -m 'not online' " dh_auto_test

## geventhttpclient 2.0.11

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 	python setup.py build_ext --inplace
 
 test:
-	py.test src/geventhttpclient/tests	
+	pytest src/geventhttpclient/tests	
 
 _develop:
 	python setup.py develop

=== debian/changelog ===
geventhttpclient (2.0.11-2build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 05:42:22 +0000

geventhttpclient (2.0.11-2) unstable; urgency=medium

  * drop DPT

 -- Sandro Tosi <morph@debian.org>  Sat, 02 Mar 2024 13:15:08 -0500

geventhttpclient (2.0.11-1) unstable; urgency=medium

  [ Alexandre Detiste ]
  * New upstream version 2.0.11 (Closes: #1055735)
  * remove python3-mock build-dep: it's hybridized

  [ Sandro Tosi ]
  * run autopkgtests via autopkgtest-pkg-pybuild

 -- Sandro Tosi <morph@debian.org>  Tue, 23 Jan 2024 12:00:28 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: geventhttpclient
 Section: python
 Priority: optional
-Maintainer: Sandro Tosi <morph@debian.org>
-Uploaders: Debian Python Team <team+python@tracker.debian.org>,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all-dev,
@@ -10,15 +10,15 @@
                python3-certifi,
                python3-dpkt <!nocheck>,
                python3-gevent,
-               python3-mock <!nocheck>,
                python3-pytest <!nocheck>,
                python3-setuptools,
                python3-six,
                python3-urllib3 <!nocheck>,
 Standards-Version: 4.6.1
 Homepage: https://github.com/gwik/geventhttpclient
-Vcs-Git: https://salsa.debian.org/python-team/packages/geventhttpclient.git
-Vcs-Browser: https://salsa.debian.org/python-team/packages/geventhttpclient
+Vcs-Git: https://salsa.debian.org/morph/geventhttpclient.git
+Vcs-Browser: https://salsa.debian.org/morph/geventhttpclient
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-geventhttpclient
 Architecture: any

## geventhttpclient 2.3.3

=== debian/changelog ===
geventhttpclient (2.3.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch to fix the testuite with OpenSSL 3.5 (Closes: #1102957).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Fri, 23 May 2025 21:16:12 +0200

geventhttpclient (2.3.3-1) unstable; urgency=medium

  * New upstream release
  * debian/rules
    - use the `network` mark to exclude network-accessing tests
    - drop the custom tests target and run them via pybuild
  * debian/control
    - bump b-d on gevent to >= 24.11.1
  * debian/python3-geventhttpclient.docs
    - install README.md
  * debian/pybuild.testfiles
    - remove, no longer needed

 -- Sandro Tosi <morph@debian.org>  Thu, 19 Dec 2024 00:21:22 -0500

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: geventhttpclient
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
+Maintainer: Sandro Tosi <morph@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all-dev,
                python3-brotli <!nocheck>,
                python3-certifi,
                python3-dpkt <!nocheck>,
-               python3-gevent,
+               python3-gevent (>= 24.11.1),
                python3-pytest <!nocheck>,
                python3-setuptools,
                python3-six,

## geventhttpclient 2.3.5

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 	python setup.py build_ext --inplace
 
 test:
-	pytest src/geventhttpclient/tests	
+	pytest geventhttpclient/tests
 
 _develop:
 	python setup.py develop
@@ -11,7 +11,10 @@
 
 clean:
 	rm -rf build
+	rm -rf dist
+	rm -rf geventhttpclient.egg-info/
 	find . -name '*.pyc' -delete
+	find . -name '*.so' -delete
 
 dist:
 	python setup.py sdist upload

=== requirements.txt ===
certifi
gevent
brotli
urllib3

=== debian/changelog ===
geventhttpclient (2.3.5-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - drop six from b-d, no longer needed; Closes: #1090786

 -- Sandro Tosi <morph@debian.org>  Tue, 30 Sep 2025 00:40:58 -0400

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
                python3-gevent (>= 24.11.1),
                python3-pytest <!nocheck>,
                python3-setuptools,
-               python3-six,
                python3-urllib3 <!nocheck>,
 Standards-Version: 4.6.1
 Homepage: https://github.com/gwik/geventhttpclient

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=geventhttpclient
export PYBUILD_TEST_ARGS = --verbose -m 'not network'

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installexamples:
	dh_installexamples examples/

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%geventhttpclient-$1.tar.gz%,uversionmangle=s/(rc|a|b|c|dev)/~$1/,dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg" \
https://github.com/gwik/geventhttpclient/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
